/* flaneth - flash and ethernet - dartboard mod
 * version 0.1 date 2008-11-09
 * Copyright (C) 2007-2008 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_cf
#define INC_cf

// size of a sector in bytes
#define CF_SECTOR_SIZE (512)

// sector buffer
extern unsigned char CfSectorBuffer[CF_SECTOR_SIZE];

// initialize
extern void CfInit( void );

// tick procedure - call every 20ms
extern void CfTick20( void );

// task function to do the work - call from main loop
extern void CfTask( void );

#endif // #ifndef INC_cf

